import { World, Commands } from "Minecraft"

//Prefix for all custom commands
const commandPrefix = "!!"

//The function that will handle all custom command inputs and outputs
function customCommand(command, msg) {
    if (command.split(" ")[0] == "spawn") {
        Commands.run(`execute "${msg.sender.name}" ~~~ tp 0 4 16`)
    } else if (command.split(" ")[0] == "help") {
        Commands.run(`tellraw "${msg.sender.name}" {"rawtext":[{"text":"§7- ${commandPrefix}spawn: §aTeleports the player to spawn\\n§7- ${commandPrefix}test: §aRandom command to just make the list longer\\n§7- ${commandPrefix}help: §aLists all commands and what they do\\n§7- ${commandPrefix}hi: §aSays hello back in chat"}]}`)
    } else if (command.split(" ")[0] == "test") {
        Commands.run(`tellraw "${msg.sender.name}" {"rawtext":[{"text":"This is a useless command lol"}]}`)
    } if (command.split(" ")[0] == "hi") {
        Commands.run(`tellraw "${msg.sender.name}" {"rawtext":[{"text":"hello"}]}`)
    } else {
        Commands.run(`tellraw "${msg.sender.name}" {"rawtext":[{"text":"§cCustom command not found! Please type §7${commandPrefix}help §cfor a list of all avalible commands"}]}`)
    }
}

//Checks if a command was run (checks for the prefix)
World.events.beforeChat.subscribe(msg => {
    if (msg.message.substr(0, commandPrefix.length) == commandPrefix) {
        msg.canceled = true
        customCommand(`${msg.message.substr(commandPrefix.length, msg.message.length - 1)}`, msg)
    }
})